View Issue Details

IDProjectCategoryView StatusLast Update
0006422MediaMonkey (current)DB/FileMonitorpublic2010-08-07 00:23
Reporterpeke Assigned To 
PriorityimmediateSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.2.1 
Target Version3.2.2Fixed in Version3.2.2 
Summary0006422: FreeDB: CD info can't be searched unless CD is in drive physically
DescriptionSteps to reproduce:
1. Insert CD
2. Add CD to Library
3. Eject CD
4. Use Library Node to navigate to CD
5. Right Click on CD -> Get Album From FreeDB (Error No Audio CD found Please insert CD)

It should fetch/search info from FreeDB as CDDBId is in Library.

Example:
1. Using above steps added UB40 Best of Album to MM library
2. Got FreeDB/CDDB ID using MM.DB -> Medias -> UB40 Audio CD entry -> CDDBid (470873363 -> 1C10F513)
3. Using FreeDB search ( http://www.freedb.org/freedb_search.php ) searched for 1C10F513 and got the results (Direct link to CD on FreeDB http://www.freedb.org/freedb/reggae/1c10f513)
Additional InformationReason for retesting is this forum topic:
http://www.mediamonkey.com/forum/viewtopic.php?f=1&t=51469

Related:
http://www.mediamonkey.com/support/staff/index.php?_m=tickets&_a=viewticket&ticketid=9214
TagsNo tags attached.
Fixed in build1298

Relationships

related to 0006474 closedLudek Regression: CD Insertion fails to import CD metadata 

Activities

peke

2010-07-18 01:50

developer   ~0020348

I wonder if this can be added to 3.2.2 as it should be low risk and easy to change? If not leave it for MM 4.0

jiri

2010-07-20 12:46

administrator   ~0020355

Even though we store TOC data to DB, I don't think it necessarily has to be in MM 3.2.2. Leaving to Ludek for a review.

Ludek

2010-07-20 15:59

developer   ~0020358

Fixed in build 3.2.2.1298

peke

2010-07-21 02:23

developer   ~0020359

Last edited: 2010-07-21 02:23

Can you please note if it is merged into 1309?

Ludek

2010-07-21 06:50

developer   ~0020360

Yes, if I wrote that it is fixed in 1298 then it means that I fixed it in 1309 and merged into 1298.

peke

2010-08-07 00:23

developer   ~0020427

Verified 1299